(***********************************************************************)
(*                                                                     *)
(*                              Ref-image                              *)
(*                                                                     *)
(*                  Image Segmentation by Refinement                   *)
(*                                                                     *)
(*               EPI Pomdapi, INRIA Paris - Rocquencourt               *)
(*                                                                     *)
(*  Copyright 2009-2013 INRIA.                                         *)
(*  Institut National de Recherche en Informatique et en Automatique.  *)
(*  All rights reserved. This file is distributed only by permission.  *)
(*                                                                     *)
(*  Hend Ben Ameur <hbenameur@yahoo.ca>                                *)
(*  Francois Clement <Francois.Clement@inria.fr>                       *)
(*  Pierre Weis <Pierre.Weis@inria.fr>                                 *)
(*                                                                     *)
(***********************************************************************)

(* $Id: ulist1_zipper.mli,v 1.1 2013/06/21 17:31:34 fclement Exp $ *)

type 'a location =
  {
   before : 'a list;
   here : 'a Ulist1.list1; (* Should be 'a Ulist1.t. *)
  }
;;

val top : 'a Ulist1.t -> 'a location;;

val zip : 'a location -> 'a Ulist1.t;;
val unzip : 'b location -> 'a Ulist1.t -> 'a location;;

val fold_left :
  ('accu -> 'a location -> 'a -> 'accu) -> 'accu -> 'a location -> 'accu
;;
