(***********************************************************************)
(*                                                                     *)
(*                                Ulib                                 *)
(*                                                                     *)
(*                   OCaml user's additional library                   *)
(*                                                                     *)
(*               EPI Pomdapi, INRIA Paris - Rocquencourt               *)
(*                                                                     *)
(*  Copyright 2004-2014 INRIA.                                         *)
(*  Institut National de Recherche en Informatique et en Automatique.  *)
(*  All rights reserved. This file is distributed only by permission.  *)
(*                                                                     *)
(*  Francois Clement <Francois.Clement@inria.fr>                       *)
(*  Pierre Weis <Pierre.Weis@inria.fr>                                 *)
(*                                                                     *)
(***********************************************************************)

(* Beginning of ocamlprintc.bin generated code *)

let print_index ppf = function | u_t -> Unatural_print.print_t ppf u_t
;;

let print_length ppf = function | u_t -> Unatural_print.print_t ppf u_t
;;

let print_t pp_a ppf = function
  | { Udynamic_array.array = a_a; Udynamic_array.default = a; } ->
    Format.fprintf ppf "%,@[<1>{@,"; Format.fprintf ppf "%,@[<1>array =@ ";
    Lib_print.print_Array pp_a ppf a_a; Format.fprintf ppf "%,;@]@ ";
    Format.fprintf ppf "%,@[<1>default =@ "; pp_a ppf a;
    Format.fprintf ppf "%,;@]@ "; Format.fprintf ppf "%,@,}@]"
;;

(* End of ocamlprintc.bin generated code *)
