type natural_range =
  {
    left_bound : Unatural.t;
    right_bound : Unatural.t;
  }
;;

type t = natural_range;;

let empty_natural_range =
  {
    left_bound = Unatural._0_;
    right_bound = Unatural._0_;
  }
;;

let natural_range l r =
  if r < l then
    invalid_arg
      "Natural_range.natural_range: second argument \
       is lesser than the first" else
  if r = l then empty_natural_range else
  { left_bound = l; right_bound = r; }
;;
