(***********************************************************************)
(*                                                                     *)
(*                              Ref-image                              *)
(*                                                                     *)
(*                  Image Segmentation by Refinement                   *)
(*                                                                     *)
(*               EPI Pomdapi, INRIA Paris - Rocquencourt               *)
(*                                                                     *)
(*  Copyright 2009-2013 INRIA.                                         *)
(*  Institut National de Recherche en Informatique et en Automatique.  *)
(*  All rights reserved. This file is distributed only by permission.  *)
(*                                                                     *)
(*  Hend Ben Ameur <hbenameur@yahoo.ca>                                *)
(*  Francois Clement <Francois.Clement@inria.fr>                       *)
(*  Pierre Weis <Pierre.Weis@inria.fr>                                 *)
(*                                                                     *)
(***********************************************************************)

(* Beginning of ocamlprintc.bin generated code *)

let print_multi_d pp_a ppf = function
  | a_u_m -> Uindex_set_types_print.print_multi_d pp_a ppf a_u_m
;;

let print_uni_range ppf = function
  | u_u -> Uindex_set_types_print.print_uni_range ppf u_u
;;

let print_range ppf = function | u_m -> print_multi_d print_uni_range ppf u_m
;;

let print_index ppf = function
  | i_m -> print_multi_d Lib_print.print_quoted_int ppf i_m
;;

let print_index_set ppf = function
  | u_i -> Uindex_set_types_print.print_index_set ppf u_i
;;

let print_t ppf = function | i -> print_index_set ppf i
;;

(* End of ocamlprintc.bin generated code *)
